// Scripted by Ice
using System;
using Server;
using Server.Items;

namespace Server.Items
{
	public class SmallStackOfLogsNAddon : BaseAddon
	{
		public override BaseAddonDeed Deed
		{
			get
			{
				return new SmallStackOfLogsNAddonDeed();
			}
		}

		[ Constructable ]
		public SmallStackOfLogsNAddon()
		{
			AddComponent( new AddonComponent( 7134 ), 0, 0, 0 );
			AddonComponent ac = null;
			ac = new AddonComponent( 7134 );
			AddComponent( ac, 0, 0, 0 );

		}

		public SmallStackOfLogsNAddon( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( 0 ); // Version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	public class SmallStackOfLogsNAddonDeed : BaseAddonDeed
	{
		public override BaseAddon Addon
		{
			get
			{
				return new SmallStackOfLogsNAddon();
			}
		}

		[Constructable]
		public SmallStackOfLogsNAddonDeed()
		{
			Name = "SmallStackOfLogsN";
		}

		public SmallStackOfLogsNAddonDeed( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( 0 ); // Version
		}

		public override void	Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}